
#pragma once
#include "stdafx.h"

#include "sample.h"
#include "OptionsDialog.h"

IMPLEMENT_DYNAMIC(COptionsDialog, CDialog)

COptionsDialog::COptionsDialog(CWnd* pParent /*=NULL*/)
	: CDialog(COptionsDialog::IDD, pParent)
{

}

COptionsDialog::~COptionsDialog()
{
}

void COptionsDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CINE_SIZE_EDIT, cine_size_edit);
	DDX_Control(pDX, IDC_CURRENT_CINE_SIZE_STATIC, current_cine_size_static);
	DDX_Control(pDX, IDC_MAX_ALLOWED_CINE_SIZE_STATIC, max_allowed_cine_size_static);
}


BEGIN_MESSAGE_MAP(COptionsDialog, CDialog)
	ON_BN_CLICKED(IDOK, &COptionsDialog::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &COptionsDialog::OnBnClickedCancel)
END_MESSAGE_MAP()


BOOL COptionsDialog::OnInitDialog()
{
	CDialog::OnInitDialog();

	CString str = L"";

	str.Format(L"%d", cine_size_mb);
	cine_size_edit.SetWindowText(str);

	str.Format(L"%d", current_cine_size_mb);
	current_cine_size_static.SetWindowText(str);

	str.Format(L"%d", max_cine_size_mb);
	max_allowed_cine_size_static.SetWindowText(str);

	return TRUE;
}

void COptionsDialog::OnBnClickedOk()
{
	CString str;
	cine_size_edit.GetWindowText(str);
	cine_size_mb = _wtoi(str);

	OnOK();
}

void COptionsDialog::OnBnClickedCancel()
{
	OnCancel();
}
